# Uses of Class
org.eclipse.ecf.core.sharedobject.SharedObjectCreateException

Packages that use SharedObjectCreateException
Package
Description
org.eclipse.ecf.core.sharedobject
org.eclipse.ecf.core.sharedobject.provider
org.eclipse.ecf.provider.generic

## Uses of SharedObjectCreateException in org.eclipse.ecf.core.sharedobject

Methods in org.eclipse.ecf.core.sharedobject that throw SharedObjectCreateException
Modifier and Type
Method
Description
`ISharedObject`
ISharedObjectFactory.`createSharedObject(String descriptionName)`
Create ISharedObject instance.
`ISharedObject`
ISharedObjectFactory.`createSharedObject(String descriptionName, Object[] args)`
Create ISharedObject instance.
`ISharedObject`
ISharedObjectFactory.`createSharedObject(SharedObjectTypeDescription typeDescription, Object[] args)`
Create ISharedObject instance.
`ID`
ISharedObjectManager.`createSharedObject(SharedObjectDescription sd)`
Create a new ISharedObject within this container from the given SharedObjectDescription.
`ISharedObject`
SharedObjectFactory.`createSharedObject(String descriptionName)`
`ISharedObject`
SharedObjectFactory.`createSharedObject(String descriptionName, Object[] args)`
`ISharedObject`
SharedObjectFactory.`createSharedObject(SharedObjectTypeDescription desc, Object[] args)`
`SharedObjectTypeDescription`
ISharedObjectFactory.`getDescriptionByName(String name)`
Get the known SharedObjectTypeDescription given it's name.
`SharedObjectTypeDescription`
SharedObjectFactory.`getDescriptionByName(String name)`

## Uses of SharedObjectCreateException in org.eclipse.ecf.core.sharedobject.provider

Methods in org.eclipse.ecf.core.sharedobject.provider that throw SharedObjectCreateException
Modifier and Type
Method
Description
`ISharedObject`
ISharedObjectInstantiator.`createInstance(SharedObjectTypeDescription typeDescription, Object[] args)`
Create instance of ISharedObject.

## Uses of SharedObjectCreateException in org.eclipse.ecf.provider.generic

Methods in org.eclipse.ecf.provider.generic that throw SharedObjectCreateException
Modifier and Type
Method
Description
`ID`
SOManager.`createSharedObject(SharedObjectDescription sd)`